@charset "utf-8";

/* =========================
header
========================= */
.header {
    display: none;
}

/***** header sp *****/
@media screen and (max-width: 769px){
    .header {
        display: flex;
        position: absolute;
        right: 5.3%;
    }

    .nav__btn {
        position: fixed;
        top: 20px;
        right: 5.3%;
    }

} /* 769px */


/* =========================
main
========================= */
.gradation {
    position: relative;
}

.gradation::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 16vh;
    background: linear-gradient(180deg, rgba(21, 14, 12, 0) 0%, rgba(21, 14, 12, 0.25) 25%, rgba(21, 14, 12, 0.7) 70%, rgba(21, 14, 12, 1) 100%) 
        center / cover;
    background-repeat: no-repeat;
}

.reservationImg {
    width: 100%;
}

.reservation__topic {
    text-align: center;
    position: absolute;
    top: 47%;
    left: 0;
    transform: translateY(-50%);
    right: 0;
}

.reservation__title {
    font-size: 2.4rem;
    font-family: "Libre Baskerville", serif;
    line-height: 1.5;
}

.reservation__txt {
    font-size: 1.6rem;
    line-height: 2;
}

.reservation__container {
    margin: 80px auto 0;
    padding: 0 20% 0;
}

.reservation__txt--topics span {
    display: flex;
}

.reservation__caption {
    font-size: 1.6rem;
    margin-top: 64px;
}

.reservation__caption p {
    margin-top: 40px;
    position: relative;
    padding-left: 2rem;
}

.reservation__caption p::before {
    content: '◆';
    position: absolute;
    top: 0;
    left: 0;
    width: 12px;
    height: 12px;
}

.btn {
    margin: 64px auto 0;
    display: flex;
    align-items: center;
    font-family: "Libre Baskerville", serif;
    font-size: 1.4rem;
    line-height: 1;
    position: relative;
    border: 0.8px solid var(--font-white, #ffffff);
    color: var(--font-white, #ffffff);
    width: 344px;
    height: 54px;
    justify-content: center;
    transition: background-color .5s ease-in-out,color .35s ease-in-out;
}

.btn::after {
    content: '';
    position: absolute;
    top: 43%;
    right: 2rem;
    width:45px;
    height:5px;
    background: url(../images/arrow.svg) center / contain;
    background-repeat: no-repeat;
    transform: transraleY(-50%);
    transition: transform .35s ease-in-out;
}

.btn:hover::after {
    transform: translateX(100%);
}

.btn:hover {
    background-color: rgba(207,150,76, 0.2);
}

.btn:hover::after {
    transform: translateX(100%);
}

/***** main sp *****/
@media screen and (max-width: 769px){

    .gradation::after {
        height: 5vh;
    }

    .reservation__title {
        font-size: 1.8rem;
    }

    .reservation__txt {
        font-size: 1.3rem;
        line-height: 1.7;
    }

    .reservation__container {
        padding: 0 15% 0;
    }

    .reservation__caption {
        margin-top: 40px;
        font-size: 1.2rem;
    }

    .reservation__caption p {
        margin-top: 24px;
    }

    .btn {
        margin: 40px auto 0;
        width: 264px;
        height: 44px;
        font-size: 1.2rem;

    }

    .btn::after {
        right: 1.5rem;
        width: 26px;
    }

} /* 769px */

@media screen and (max-width: 375px){

    .reservation__title {
        font-size: 1.4rem;
    }

    .reservation__txt {
        font-size: 1.2rem;
        line-height: 1.5;
    }

    .reservation__txt span {
        display: flex;
        justify-content: center;
    }

    .reservation__container {
        margin: 40px auto 0;
        padding: 0 11% 0;
    }

    .reservation__txt--topics {
        text-align: left;
    }

    .reservation__caption {
        font-size: 1.2rem;
    }

    .btn {
        margin: 32px auto 0;
        width: 244px;
        font-size: 1.1rem;

    }

    .btn::after {
        right: 1rem;
        width: 18px;
    }


} /* 375px */

/* =========================
footer
========================= */
.footer {
    background: none;
}

@media screen and (max-width: 375px){

    .footer {
        padding: 0 5.3% 32px;
    }
    
} /* 375px */